#ifndef _TESTGENERICLFSELECTIONPERSISTENT_H
#define _TESTGENERICLFSELECTIONPERSISTENT_H

#include <cppunit/extensions/HelperMacros.h>

#include <vislearning/features/localfeatures/GenericLFSelection.h>

/**
 * CppUnit-Testcase. 
 * @brief CppUnit-Testcase to create a LocalFeatureRepresentation object via GenericLFSelection, to store it, and to restore it again.
 * @author Alexander Freytag
 * @date 10-02-2014 ( dd-mm-yyyy )
 */
class TestGenericLFSelectionPersistent : public CppUnit::TestFixture {

    CPPUNIT_TEST_SUITE( TestGenericLFSelectionPersistent );
	 CPPUNIT_TEST(testPersistentMethods);
      
    CPPUNIT_TEST_SUITE_END();
  
 private:
 
 public:
    void setUp();
    void tearDown();


    void testPersistentMethods();
};

#endif // _TESTGENERICLFSELECTIONPERSISTENT_H
